pbs_diag(8B)

NAME
pbs_diag - diagnostic tool for PBS Professional

SYNOPSIS
pbs_diag [-c] [-d daterange] [-f] [-g corefile] [-j jobidlist] [-n x] [-o outdir] [-r remote_command] [-u username]

DESCRIPTION
The pbs_diag command is an interactive tool for collecting information used to diagnose problems encountered when running PBS Professional. You can also use pbs_diag to generate a current snapshot of the configuration of the server and scheduler in a PBS complex. This tool does not collect MoM configuration information. This command extracts the following information:
    qmgr settings for server, queues, and vnodes
    pbs_probe information about file permissions
    pbs.conf master configuration information
    pbsnodes vnode configuration/state information
    qstat information about current state of the queues and server
    Information about existing reservations
    pbs_hostn name resolution information
    Operating system version information
    Server, scheduler, and MoM configuration files
    tracejob and logging information for jobs specified by the user
    Server, scheduler, and MoM logs for dates specified by the user
    Cpuset configuration information and current state if on a cpuset-aware system
    Vnode definition files

OPTIONS

-c  Use this option to gather only cpuset information. This is important it is necessary to get information about a cpuset-aware system that is not running as the PBS server/scheduler.

-d daterange
    Specifies a date range or a single integer representing the number of days in the past to retrieve server and scheduler logs. Date ranges must be of the form MM/DD/YYYY-MM/DD/YYYY

-f  Use this option for non-interactive mode. The greeting will be supressed, as will the command execution confirmation and prompts for additional parameters. If no other options are specified, only basic configuration information is collected. Must use -u option with this option.

-g core_file
    Path to core file. Obtains a stack trace from the specified core file produced by one of the three PBS daemons. Works only on Linux systems where gdb (the GNU debugger) is installed.

    If the -g option is specified, no other data collection will take place.

-j jobidlist
    Collects information about specified job IDs. Use this option on the command line, to avoid being prompted during the running of the script. Format: comma-separated list of job IDs.

-o outdir
    This overrides $HOME as the default location for the output .tar.gz file.

-n x

-r remote_command

-u username
    These options are used only during the pbs_dtj portion of the script and map directly to the options in that script. See the pbs_dtj header for details.

    The -u option must be specified for non-interactive use, i.e. when the -f option is used..